import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _PKShareablePassMetadataPreview } from "./PKShareablePassMetadataPreview.js";
export declare class _PKShareablePassMetadata extends _NSObject {
    static alloc(): _PKShareablePassMetadata;
    static new(): _PKShareablePassMetadata;
    init(): _PKShareablePassMetadata;
    initWithProvisioningCredentialIdentifier$cardConfigurationIdentifier$sharingInstanceIdentifier$passThumbnailImage$ownerDisplayName$localizedDescription$(credentialIdentifier: _NSString, cardConfigurationIdentifier: _NSString, sharingInstanceIdentifier: _NSString, passThumbnailImage: Uint8Array, ownerDisplayName: _NSString, localizedDescription: _NSString): _PKShareablePassMetadata | null;
    initWithProvisioningCredentialIdentifier$sharingInstanceIdentifier$passThumbnailImage$ownerDisplayName$localizedDescription$accountHash$templateIdentifier$relyingPartyIdentifier$requiresUnifiedAccessCapableDevice$(credentialIdentifier: _NSString, sharingInstanceIdentifier: _NSString, passThumbnailImage: Uint8Array, ownerDisplayName: _NSString, localizedDescription: _NSString, accountHash: _NSString, templateIdentifier: _NSString, relyingPartyIdentifier: _NSString, requiresUnifiedAccessCapableDevice: boolean): _PKShareablePassMetadata;
    initWithProvisioningCredentialIdentifier$sharingInstanceIdentifier$cardTemplateIdentifier$preview$(credentialIdentifier: _NSString, sharingInstanceIdentifier: _NSString, templateIdentifier: _NSString, preview: _PKShareablePassMetadataPreview): _PKShareablePassMetadata;
    initWithProvisioningCredentialIdentifier$sharingInstanceIdentifier$cardConfigurationIdentifier$preview$(credentialIdentifier: _NSString, sharingInstanceIdentifier: _NSString, templateIdentifier: _NSString, preview: _PKShareablePassMetadataPreview): _PKShareablePassMetadata;
    /**
     * A unique identifier for provisioning credential data.
     * @deprecated cardTemplateIdentifier
     */
    credentialIdentifier(): _NSString;
    /**
     * A unique identifier that refers to an instance of sharing of credentials to a user's device initiated from another user, device, or web.
     * @deprecated cardTemplateIdentifier
     */
    sharingInstanceIdentifier(): _NSString;
    /**
     * Identifier referencing a card template registered in portal - identifies a combination of cardProfileIdentifier, cardConfigurationIdentifier, and cardArtBundleName.
     * @deprecated cardTemplateIdentifier
     */
    templateIdentifier(): _NSString;
    /**
     * Identifier referencing a card template registered in portal - identifies a combination of cardProfileIdentifier, cardConfigurationIdentifier, and cardArtBundleName.
     */
    cardTemplateIdentifier(): _NSString;
    cardConfigurationIdentifier(): _NSString;
    /**
     * Specify that the passes to provision require a unified access capable device. This is primarily used when provisioning a pass that uses an ISO18013-5 payload.
     */
    requiresUnifiedAccessCapableDevice(): boolean;
    setRequiresUnifiedAccessCapableDevice$(value: boolean): void;
    /**
     * Identifier referencing the target server environment Apple Pay servers should reach out to to provision this pass.
     */
    serverEnvironmentIdentifier(): _NSString;
    setServerEnvironmentIdentifier$(value: _NSString): void;
    /**
     * Display Properties
     * @deprecated preview.passThumbnailImage
     */
    preview(): _PKShareablePassMetadataPreview;
    /** @deprecated preview.passThumbnailImage */
    passThumbnailImage(): NobjcObject;
    /** @deprecated preview.localizedDescription */
    localizedDescription(): _NSString;
    /** @deprecated preview.ownerDisplayName */
    ownerDisplayName(): _NSString;
    /**
     * An identifier representing an entity that uses a FIDO protocol to directly authenticate users.
     */
    accountHash(): _NSString;
    setAccountHash$(value: _NSString): void;
    /**
     * Unique accountHash representing the external account in partner's system. This value needs to be the same for all the provisionings pointing to the same user account.
     */
    relyingPartyIdentifier(): _NSString;
    setRelyingPartyIdentifier$(value: _NSString): void;
}
